/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VDmTablegroup;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VDmTablegroupRecord extends TableRecordImpl<VDmTablegroupRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_dm_tablegroup.group_id</code>.
     */
    public void setGroupId(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_tablegroup.group_id</code>.
     */
    public Integer getGroupId() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_dm_tablegroup.group_name</code>.
     */
    public void setGroupName(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_tablegroup.group_name</code>.
     */
    public String getGroupName() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.v_dm_tablegroup.group_order</code>.
     */
    public void setGroupOrder(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_tablegroup.group_order</code>.
     */
    public Integer getGroupOrder() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.v_dm_tablegroup.fk_element</code>.
     */
    public void setFkElement(Integer value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_tablegroup.fk_element</code>.
     */
    public Integer getFkElement() {
        return (Integer) get(3);
    }

    /**
     * Setter for <code>common_dd.v_dm_tablegroup.short_name</code>.
     */
    public void setShortName(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_tablegroup.short_name</code>.
     */
    public String getShortName() {
        return (String) get(4);
    }

    /**
     * Setter for <code>common_dd.v_dm_tablegroup.table_order</code>.
     */
    public void setTableOrder(Integer value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_tablegroup.table_order</code>.
     */
    public Integer getTableOrder() {
        return (Integer) get(5);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VDmTablegroupRecord
     */
    public VDmTablegroupRecord() {
        super(VDmTablegroup.V_DM_TABLEGROUP);
    }

    /**
     * Create a detached, initialised VDmTablegroupRecord
     */
    public VDmTablegroupRecord(Integer groupId, String groupName, Integer groupOrder, Integer fkElement, String shortName, Integer tableOrder) {
        super(VDmTablegroup.V_DM_TABLEGROUP);

        setGroupId(groupId);
        setGroupName(groupName);
        setGroupOrder(groupOrder);
        setFkElement(fkElement);
        setShortName(shortName);
        setTableOrder(tableOrder);
        resetChangedOnNotNull();
    }
}
